GET http://[host-proxy]/api/view/OracleECB_ConnectionParams_View/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "ECB Name",
"description": "Name of the ECB Instance",
"type": "string",
"required": true,
"maxLength": 1024
},
"description": {
"title": "ECB description",
"type": "string",
"required": true,
"maxLength": 1024
},
"username": {
"title": "ECB username",
"description": "username used to connect to the ECB",
"type": "string",
"is_password": false,
"required": true,
"maxLength": 1024
},
"password": {
"title": "ECB password",
"description": "password used to connect to the ECB",
"type": "string",
"is_password": true,
"store_encrypted": false,
"required": true,
"maxLength": 1024
},
"version": {
"title": "version",
"description": "version",
"type": "string",
"required": true,
"maxLength": 1024
},
"active_host": {
"title": "Primary ECB",
"description": "Primary ECB IP address",
"type": "string",
"required": true,
"maxLength": 1024
},
"standby_host": {
"title": "Secondary ECB",
"description": "Secondary ECB IP address",
"type": "string",
"required": false,
"maxLength": 1024
}
}
}